2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am: oops, need line separators

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* ChangeLog: update ChangeLog

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am: distribut test running scripts too

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* ChangeLog: update ChangeLog

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* src/tools/rand48.cc: newline

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* ChangeLog: update ChangeLog

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* include/spatialindex/Version.h: update release date

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* ChangeLog: update ChangeLog again

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* test/mvrtree/Exhaustive.cc, test/tprtree/Exhaustive.cc,
	test/tprtree/RandomGenerator.h: fixes to be able to make things work
	on msvc 10

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* include/spatialindex/capi/sidx_config.h: only redefine c++0x types
	if we're <= msvc_ver 1500

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt: add definition to make sure we export symbols in
	windows land

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* include/spatialindex/capi/sidx_config.h, src/mvrtree/Index.cc,
	src/mvrtree/Leaf.cc, src/mvrtree/Node.cc, src/rtree/BulkLoader.cc,
	src/rtree/Index.cc, src/rtree/Leaf.cc, src/rtree/Node.cc,
	src/storagemanager/RandomEvictionsBuffer.cc, src/tools/Tools.cc,
	src/tools/rand48.cc, src/tprtree/Index.cc, src/tprtree/Leaf.cc,
	src/tprtree/Node.cc: namespace usings and such to satisfy msvc 10

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* .gitignore: more ignores

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: check for msvc 10

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* ChangeLog: update ChangeLog

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* include/Makefile.am: missing reference to file

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* include/Makefile.am: missing reference to file

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* src/spatialindex/Makefile.am: this file is now gone

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* .gitignore, configure.ac, src/Makefile.am,
	src/libspatialindex.pc.in: add pkg-config script for libspatialindex
	-- autoconf build only for now

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* src/CMakeLists.txt: typo

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* include/Makefile.am, include/spatialindex/Makefile.am: move
	Makefile.am up

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* include/Makefile.am, include/spatialindex/Makefile.am,
	include/spatialindex/capi/Makefile.am,
	include/spatialindex/tools/Makefile.am: start fixing up automake
	include structure

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* src/tools/Makefile.am: include was still busted

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* src/tools/Makefile.am: fix include path

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt: add function detection to cmake config

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* docs/source/index.txt: point to doxygen output

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* docs/source/development.txt, docs/source/download.txt,
	docs/source/index.txt, docs/source/install.txt,
	docs/source/introduction.txt, docs/source/overview.txt: more doc
	rearranging

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* docs/doxygen/doxygen.conf, docs/doxygen/doxygen.css: add doxygen
	configuration -- run doxygen docs/doxygen/doxygen.conf from the top
	level directory to get output

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* .gitignore: more ignore

2011-10-14  Howard Butler <hobu.inc@gmail.com>

	* .gitignore: more ignores

2011-10-13  Howard Butler <hobu.inc@gmail.com>

	* src/spatialindex/MovingPoint.cc: a little proposed whitespace
	normalization -- my terminal isn't 250 characters long :)

2011-10-13  Howard Butler <hobu.inc@gmail.com>

	* include/spatialindex/MovingRegion.h,
	include/spatialindex/Point.h, include/spatialindex/Region.h,
	include/spatialindex/SpatialIndex.h,
	include/spatialindex/TimeRegion.h, src/mvrtree/Index.cc,
	src/mvrtree/Leaf.cc, src/mvrtree/MVRTree.cc, src/mvrtree/Node.cc,
	src/mvrtree/Statistics.cc, src/rtree/BulkLoader.cc,
	src/rtree/Index.cc, src/rtree/Leaf.cc, src/rtree/Node.cc,
	src/rtree/PointerPoolNode.h, src/rtree/RTree.cc,
	src/rtree/Statistics.cc, src/spatialindex/SpatialIndexImpl.cc,
	src/spatialindex/SpatialIndexImpl.h, src/storagemanager/Buffer.cc,
	src/storagemanager/DiskStorageManager.cc,
	src/storagemanager/MemoryStorageManager.cc, src/tprtree/Index.cc,
	src/tprtree/Leaf.cc, src/tprtree/Node.cc,
	src/tprtree/PointerPoolNode.h, src/tprtree/Statistics.cc,
	src/tprtree/TPRTree.cc: remove SpatialIndexImpl.h, which didn't seem
	to be used to hide the implementation and was contributing to
	relative include spaghetti

2011-10-13  Howard Butler <hobu.inc@gmail.com>

	* test/CMakeLists.txt, test/mvrtree/Generator.cc,
	test/mvrtree/MVRTreeLoad.cc, test/mvrtree/MVRTreeQuery.cc,
	test/rtree/Exhaustive.cc, test/rtree/Generator.cc,
	test/rtree/RTreeBulkLoad.cc, test/rtree/RTreeLoad.cc,
	test/rtree/RTreeQuery.cc, test/tprtree/RandomGenerator.h,
	test/tprtree/TPRTreeLoad.cc, test/tprtree/TPRTreeQuery.cc: #include
	file deck chair rearrangement

2011-10-13  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt, configure.ac, include/LineSegment.h,
	include/MVRTree.h, include/Makefile.am, include/MovingPoint.h,
	include/MovingRegion.h, include/Point.h, include/RTree.h,
	include/Region.h, include/SpatialIndex.h, include/TPRTree.h,
	include/TimePoint.h, include/TimeRegion.h, include/Version.h,
	include/capi/BoundsQuery.h, include/capi/CountVisitor.h,
	include/capi/CustomStorage.h, include/capi/DataStream.h,
	include/capi/Error.h, include/capi/IdVisitor.h,
	include/capi/Index.h, include/capi/LeafQuery.h,
	include/capi/Makefile.am, include/capi/ObjVisitor.h,
	include/capi/Utility.h, include/capi/sidx_api.h,
	include/capi/sidx_config.h, include/capi/sidx_impl.h,
	include/spatialindex/LineSegment.h, include/spatialindex/MVRTree.h,
	include/spatialindex/Makefile.am,
	include/spatialindex/MovingPoint.h,
	include/spatialindex/MovingRegion.h, include/spatialindex/Point.h,
	include/spatialindex/RTree.h, include/spatialindex/Region.h,
	include/spatialindex/SpatialIndex.h,
	include/spatialindex/TPRTree.h, include/spatialindex/TimePoint.h,
	include/spatialindex/TimeRegion.h, include/spatialindex/Version.h,
	include/spatialindex/capi/BoundsQuery.h,
	include/spatialindex/capi/CountVisitor.h,
	include/spatialindex/capi/CustomStorage.h,
	include/spatialindex/capi/DataStream.h,
	include/spatialindex/capi/Error.h,
	include/spatialindex/capi/IdVisitor.h,
	include/spatialindex/capi/Index.h,
	include/spatialindex/capi/LeafQuery.h,
	include/spatialindex/capi/Makefile.am,
	include/spatialindex/capi/ObjVisitor.h,
	include/spatialindex/capi/Utility.h,
	include/spatialindex/capi/sidx_api.h,
	include/spatialindex/capi/sidx_config.h,
	include/spatialindex/capi/sidx_impl.h,
	include/spatialindex/tools/Makefile.am,
	include/spatialindex/tools/PointerPool.h,
	include/spatialindex/tools/PoolPointer.h,
	include/spatialindex/tools/SmartPointer.h,
	include/spatialindex/tools/Tools.h,
	include/spatialindex/tools/rand48.h, include/tools/Makefile.am,
	include/tools/PointerPool.h, include/tools/PoolPointer.h,
	include/tools/SmartPointer.h, include/tools/Tools.h,
	include/tools/rand48.h, src/CMakeLists.txt,
	src/capi/BoundsQuery.cc, src/capi/CountVisitor.cc,
	src/capi/CustomStorage.cc, src/capi/DataStream.cc,
	src/capi/Error.cc, src/capi/IdVisitor.cc, src/capi/Index.cc,
	src/capi/LeafQuery.cc, src/capi/ObjVisitor.cc, src/capi/Utility.cc,
	src/capi/sidx_api.cc, src/spatialindex/LineSegment.cc,
	src/spatialindex/MovingPoint.cc, src/spatialindex/MovingRegion.cc,
	src/spatialindex/Point.cc, src/spatialindex/Region.cc,
	src/spatialindex/SpatialIndexImpl.h, src/spatialindex/TimePoint.cc,
	src/spatialindex/TimeRegion.cc,
	src/storagemanager/RandomEvictionsBuffer.cc, src/tools/Tools.cc: 
	#include file deck chair rearrangement

2011-10-13  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt: don't add -ansi to clang compiles

2011-10-13  Howard Butler <hobu.inc@gmail.com>

	* src/mvrtree/Node.cc, src/rtree/Node.cc,
	src/spatialindex/MovingPoint.cc, src/spatialindex/MovingRegion.cc,
	src/spatialindex/Point.cc, src/tprtree/Node.cc: unsigned values can
	never be <0, no need to test for this

2011-10-13  Howard Butler <hobu.inc@gmail.com>

	* include/capi/Error.h, include/capi/LeafQuery.h,
	src/capi/CountVisitor.cc, src/capi/DataStream.cc,
	src/capi/Index.cc, src/capi/Utility.cc: clean up some warnings that
	clang found

2011-10-13  Howard Butler <hobu.inc@gmail.com>

	* src/spatialindex/Region.cc: unsigned values can never be <0, no
	need to test for this

2011-10-11  Howard Butler <hobu.inc@gmail.com>

	* .gitignore: regressiontest directory changed names

2011-10-11  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt, Makefile.am, configure.ac,
	regressiontest/CMakeLists.txt, regressiontest/Makefile.am,
	regressiontest/mvrtree/Exhaustive.cc,
	regressiontest/mvrtree/Generator.cc,
	regressiontest/mvrtree/MVRTreeLoad.cc,
	regressiontest/mvrtree/MVRTreeQuery.cc,
	regressiontest/mvrtree/Makefile.am,
	regressiontest/mvrtree/test1/run, regressiontest/mvrtree/test2/run,
	regressiontest/rtree/Exhaustive.cc,
	regressiontest/rtree/Generator.cc,
	regressiontest/rtree/Makefile.am,
	regressiontest/rtree/RTreeBulkLoad.cc,
	regressiontest/rtree/RTreeBulkLoad.vcproj,
	regressiontest/rtree/RTreeExhaustive.vcproj,
	regressiontest/rtree/RTreeGenerator.vcproj,
	regressiontest/rtree/RTreeLoad.cc,
	regressiontest/rtree/RTreeLoad.vcproj,
	regressiontest/rtree/RTreeQuery.cc,
	regressiontest/rtree/RTreeQuery.vcproj,
	regressiontest/rtree/test1/run, regressiontest/rtree/test2/run,
	regressiontest/rtree/test3/run, regressiontest/rtree/test4/run,
	regressiontest/tprtree/Exhaustive.cc,
	regressiontest/tprtree/Generator.cc,
	regressiontest/tprtree/Makefile.am,
	regressiontest/tprtree/RandomGenerator.cc,
	regressiontest/tprtree/RandomGenerator.h,
	regressiontest/tprtree/TPRTreeLoad.cc,
	regressiontest/tprtree/TPRTreeQuery.cc,
	regressiontest/tprtree/test1/run, regressiontest/tprtree/test2/run,
	test/CMakeLists.txt, test/Makefile.am, test/mvrtree/Exhaustive.cc,
	test/mvrtree/Generator.cc, test/mvrtree/MVRTreeLoad.cc,
	test/mvrtree/MVRTreeQuery.cc, test/mvrtree/Makefile.am,
	test/mvrtree/test1/run, test/mvrtree/test2/run,
	test/rtree/Exhaustive.cc, test/rtree/Generator.cc,
	test/rtree/Makefile.am, test/rtree/RTreeBulkLoad.cc,
	test/rtree/RTreeBulkLoad.vcproj, test/rtree/RTreeExhaustive.vcproj,
	test/rtree/RTreeGenerator.vcproj, test/rtree/RTreeLoad.cc,
	test/rtree/RTreeLoad.vcproj, test/rtree/RTreeQuery.cc,
	test/rtree/RTreeQuery.vcproj, test/rtree/test1/run,
	test/rtree/test2/run, test/rtree/test3/run, test/rtree/test4/run,
	test/tprtree/Exhaustive.cc, test/tprtree/Generator.cc,
	test/tprtree/Makefile.am, test/tprtree/RandomGenerator.cc,
	test/tprtree/RandomGenerator.h, test/tprtree/TPRTreeLoad.cc,
	test/tprtree/TPRTreeQuery.cc, test/tprtree/test1/run,
	test/tprtree/test2/run: rename regressiontest directory to test/
	directory for added clarity.  maybe next release we can have these
	test be auto-run with 'make test'

2011-10-11  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt, configure.ac, include/tools/rand48.h,
	src/CMakeLists.txt, src/storagemanager/RandomEvictionsBuffer.cc,
	src/tools/Makefile.am, src/tools/Tools.cc, src/tools/rand48.cc: 
	check for an existing srand48, and if we have it, don't use our
	local one

2011-10-11  Howard Butler <hobu.inc@gmail.com>

	* regressiontest/CMakeLists.txt: CMake for regressiontests

2011-10-10  Howard Butler <hobu.inc@gmail.com>

	* docs/source/development.txt, docs/source/download.txt,
	docs/source/index.txt, docs/source/install.txt,
	docs/source/introduction.txt: start organizing docs

2011-10-10  Howard Butler <hobu.inc@gmail.com>

	* HOWTORELEASE.txt: update CMakeLists.txt when releasing too

2011-10-10  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt: c/p fix

2011-10-10  Howard Butler <hobu.inc@gmail.com>

	* docs/source/_static/dummy, docs/source/index.txt: add dummy file

2011-10-10  Howard Butler <hobu.inc@gmail.com>

	* docs/Makefile: makefile for sphinx

2011-10-10  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt, src/CMakeLists.txt: more cmake config

2011-10-10  Howard Butler <hobu.inc@gmail.com>

	* .gitignore: ignore more

2011-10-10  Howard Butler <hobu.inc@gmail.com>

	* src/capi/DataStream.cc: clean up warning

2011-10-09  Howard Butler <hobu.inc@gmail.com>

	* CMakeLists.txt, src/CMakeLists.txt: add cmake config

2011-10-09  Howard Butler <hobu.inc@gmail.com>

	* .gitignore: ignore cmake stuff

2011-10-06  Howard Butler <hobu.inc@gmail.com>

	* configure.ac, include/tools/rand48.h, src/tools/rand48.cc: attempt
	2 on #1 to fix rand in stdlib on newer gcc's

2011-10-06  Howard Butler <hobu.inc@gmail.com>

	* include/tools/rand48.h: a fix for #1 because gcc 4.5.2 appears to
	have these defined in stdlib.h

2011-09-26  Howard Butler <hobu.inc@gmail.com>

	* .gitignore, docs/source/conf.py, docs/source/index.txt: add
	documentation for http://libspatialindex.github.com

2011-09-25  Howard Butler <hobu.inc@gmail.com>

	* configure.ac, include/Version.h, makefile.vc: increment versions
	in preparation for release

2011-07-15  Howard Butler <hobu.inc@gmail.com>

	* include/capi/sidx_api.h, src/capi/sidx_api.cc: use int64_t for IDs
	instead of uint64_t's

2011-07-15  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: clean up warnings

2011-07-15  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/RTree.cc: initialize variables to 0's before we use them

2011-07-15  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/BulkLoader.h: fix up initialization order

2011-07-15  Howard Butler <hobu.inc@gmail.com>

	* configure.ac: use -pedantic for compilation

2011-07-15  Howard Butler <hobu@ember.hobu.biz>

	* .gitignore: add .gitignore

2011-05-18  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 1	1	README -	-	spatialindex.suo

2011-01-10  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 1	0	README

2010-11-22  Sean Gillies <sean.gillies@gmail.com>

	* src/capi/sidx_api.cc: Fix test of length value

2010-11-22  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: whitespace normalization

2010-11-22  Sean Gillies <sean.gillies@gmail.com>

	* src/capi/sidx_api.cc: Add up deltas for multidimensional input

2010-11-22  Sean Gillies <sean.gillies@gmail.com>

	* src/capi/sidx_api.cc: Add up deltas for multidimensional input

2010-11-22  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: revert r193

2010-11-22  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: we should set isPoint to true if we pass our
	epsilon test -- this didn't work before

2010-10-14  Marios Hadjieleftheriou <mhadji@gmail.com>

	* include/tools/Tools.h, src/tools/Tools.cc: Removed
	nextUnifromLongDouble. It was incorrect

2010-10-13  Marios Hadjieleftheriou <mhadji@gmail.com>

	* include/tools/Tools.h, src/tools/Tools.cc: Added
	nextUniformLongDouble

2010-09-16  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am: fix #25 and include visual studio files in the
	release

2010-09-16  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: bump versions in preparation for release

2010-09-16  Howard Butler <hobu.inc@gmail.com>

	* configure.ac, include/Version.h: bump versions in preparation for
	release

2010-06-19  Howard Butler <hobu.inc@gmail.com>

	* include/capi/CustomStorage.h, include/capi/Index.h,
	include/capi/Makefile.am, include/capi/sidx_api.h,
	include/capi/sidx_config.h, include/capi/sidx_impl.h, makefile.vc,
	src/capi/CustomStorage.cc, src/capi/Index.cc, src/capi/Makefile.am,
	src/capi/Utility.cc, src/capi/sidx_api.cc: add Matthias'
	CustomStorage backend for C API

2010-04-21  Howard Butler <hobu.inc@gmail.com>

	* README: Add Marios' pagesize diatribe to the docs

2010-04-12  Howard Butler <hobu.inc@gmail.com>

	* ChangeLog: update ChangeLog

2010-04-12  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 1	1	regressiontest/rtree/Exhaustive.cc

2010-03-31  Howard Butler <hobu.inc@gmail.com>

	* src/capi/BoundsQuery.cc, src/capi/CountVisitor.cc,
	src/capi/DataStream.cc, src/capi/IdVisitor.cc, src/capi/Index.cc,
	src/capi/ObjVisitor.cc, src/capi/Utility.cc: format and layout
	normalization

2010-03-30  Howard Butler <hobu.inc@gmail.com>

	* src/spatialindex/MovingRegion.cc: ensure that we instantiate the
	ivOut with at least the ivIn so we have a properly constructed
	Tools::Interval #16

2010-03-05  Howard Butler <hobu.inc@gmail.com>

	* HOWTORELEASE.txt: add doc describing how to release

2010-03-05  Howard Butler <hobu.inc@gmail.com>

	* : propsets to ignore test output:

2010-03-05  Howard Butler <hobu.inc@gmail.com>

	* include/Version.h: increment version info in preparation for
	release

2010-03-05  Howard Butler <hobu.inc@gmail.com>

	* ChangeLog: update for release

2010-03-04  Howard Butler <hobu.inc@gmail.com>

	* include/capi/CountVisitor.h, include/capi/Makefile.am,
	include/capi/sidx_api.h, include/capi/sidx_impl.h, makefile.vc,
	src/capi/CountVisitor.cc, src/capi/Makefile.am,
	src/capi/sidx_api.cc: add CountVisitor to the CAPI to provide a
	cumulation of the number of hits that land within a query

2010-03-03  Howard Butler <hobu.inc@gmail.com>

	* include/capi/IdVisitor.h, include/capi/ObjVisitor.h,
	include/capi/sidx_api.h, regressiontest/rtree/test3/run,
	src/capi/LeafQuery.cc, src/capi/sidx_api.cc: use uint64_t for result
	counts instead of uint32_t in C API

2009-12-29  Howard Butler <hobu.inc@gmail.com>

	* regressiontest/mvrtree/Exhaustive.cc,
	regressiontest/rtree/Exhaustive.cc,
	regressiontest/tprtree/Exhaustive.cc: fix up for gcc 4.4

2009-12-04  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : -	-	spatialindex.suo 18	0	src/spatialindex/Region.cc

2009-11-05  Howard Butler <hobu.inc@gmail.com>

	* src/spatialindex/Region.cc: don't thrown an error when -DDEBUG is
	on and we initialize an infinite Region

2009-11-03  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: pass in a reference for the query bounds

2009-11-03  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: try to do no harm when calling Index_Free on
	something that's null

2009-11-03  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: pass in a reference for the query bounds

2009-11-03  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: copy the array using memcpy because we can't
	free() something created with new

2009-11-03  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: put the data in a newly malloc'd array to
	match our std::free call of Index_Delete

2009-11-02  Howard Butler <hobu.inc@gmail.com>

	* src/capi/LeafQuery.cc: make sure to delete our shape when we're
	done

2009-11-02  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: get dimension from the Region, no need to
	fetch from index properties

2009-11-02  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: make sure we clean up the bounds and region

2009-11-02  Howard Butler <hobu.inc@gmail.com>

	* regressiontest/mvrtree/Generator.cc,
	regressiontest/rtree/Generator.cc,
	regressiontest/tprtree/Generator.cc,
	regressiontest/tprtree/TPRTreeLoad.cc,
	regressiontest/tprtree/TPRTreeQuery.cc, src/capi/sidx_api.cc,
	src/mvrtree/Index.cc, src/mvrtree/MVRTree.cc, src/mvrtree/Node.cc,
	src/rtree/Index.cc, src/rtree/Node.cc, src/rtree/RTree.cc,
	src/spatialindex/LineSegment.cc, src/spatialindex/MovingPoint.cc,
	src/spatialindex/MovingRegion.cc, src/spatialindex/Point.cc,
	src/spatialindex/Region.cc, src/spatialindex/TimePoint.cc,
	src/spatialindex/TimeRegion.cc, src/tools/Tools.cc,
	src/tprtree/Index.cc, src/tprtree/Node.cc, src/tprtree/TPRTree.cc: 
	only #include <limits> where needed, and not in the global Tools.h
	file

2009-10-30  Howard Butler <hobu.inc@gmail.com>

	* include/tools/Tools.h, regressiontest/mvrtree/Exhaustive.cc,
	regressiontest/mvrtree/Generator.cc,
	regressiontest/rtree/Exhaustive.cc,
	regressiontest/rtree/Generator.cc,
	regressiontest/tprtree/Generator.cc, src/mvrtree/Node.cc,
	src/rtree/BulkLoader.cc, src/rtree/Node.cc, src/rtree/RTree.cc,
	src/spatialindex/LineSegment.cc, src/spatialindex/MovingPoint.cc,
	src/spatialindex/MovingRegion.cc, src/spatialindex/Point.cc,
	src/spatialindex/Region.cc,
	src/storagemanager/RandomEvictionsBuffer.cc, src/tprtree/Node.cc: 
	remove <cmath> <limits> and <climits> from Tools.h and include them
	seperately in each file that needs them

2009-10-30  Howard Butler <hobu.inc@gmail.com>

	* include/capi/sidx_api.h: define to denote we're C API

2009-10-30  Howard Butler <hobu.inc@gmail.com>

	* include/capi/sidx_config.h: add a newline

2009-10-22  Howard Butler <hobu.inc@gmail.com>

	* src/capi/sidx_api.cc: make sure we use new/delete instead of
	new/free

2009-10-21  Howard Butler <hobu.inc@gmail.com>

	* include/LineSegment.h, include/Point.h, include/Region.h,
	include/SpatialIndex.h, src/spatialindex/LineSegment.cc,
	src/spatialindex/Point.cc, src/spatialindex/Region.cc: remove
	namespace pollution of Tools:: into the globally include'd header
	SpatialIndex.h

2009-10-20  Howard Butler <hobu.inc@gmail.com>

	* configure.ac, makefile.vc: bump versions in preparation for
	release

2009-10-19  Howard Butler <hobu.inc@gmail.com>

	* include/capi/sidx_api.h: add SIDX_Version prototype

2009-10-19  Howard Butler <hobu.inc@gmail.com>

	* ltmain.sh: ltmain.sh doesn't belong in svn

2009-10-19  Howard Butler <hobu.inc@gmail.com>

	* include/capi/Makefile.in, src/capi/Makefile.in: Makefile.in's
	don't belong in svn

2009-10-19  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: C API compilation fix

2009-10-19  Howard Butler <hobu.inc@gmail.com>

	* src/tools/Tools.cc: tmpname fixes so we compile on msvc2003

2009-10-19  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: don't define a variable to "" or cl will complain

2009-10-08  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/BulkLoader.cc: bleaf and bindex switched around in
	createLevel call

2009-09-17  Howard Butler <hobu.inc@gmail.com>

	* include/capi/LeafQuery.h, include/capi/sidx_api.h,
	src/capi/LeafQuery.cc, src/capi/sidx_api.cc: more leaf querying code

2009-09-16  Howard Butler <hobu.inc@gmail.com>

	* include/capi/LeafQuery.h, include/capi/Makefile.am,
	include/capi/Makefile.in, include/capi/sidx_impl.h,
	src/capi/LeafQuery.cc, src/capi/Makefile.am, src/capi/Makefile.in,
	src/capi/sidx_api.cc: add beginnings of leaf querying to C API

2009-09-16  Howard Butler <hobu.inc@gmail.com>

	* include/capi/Item.h, include/capi/ObjVisitor.h,
	include/capi/sidx_config.h, include/capi/sidx_impl.h,
	src/capi/Item.cc, src/capi/Makefile.am, src/capi/Makefile.in,
	src/capi/ObjVisitor.cc, src/capi/sidx_api.cc: remove the duplicate
	and unnecessary Item construct that was masking the already existing
	IData interface

2009-08-31  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: support building the c api

2009-08-24  Howard Butler <hobu.inc@gmail.com>

	* regressiontest/mvrtree/Exhaustive.cc,
	regressiontest/rtree/Exhaustive.cc,
	regressiontest/tprtree/Exhaustive.cc: fix issue with uint32_t by
	copying macros from Tools.h

2009-08-19  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am: try to ensure -lstdc++ is linked

2009-08-19  Howard Butler <hobu.inc@gmail.com>

	* : ignores

2009-08-19  Howard Butler <hobu.inc@gmail.com>

	* : ignore propset

2009-08-18  Howard Butler <hobu.inc@gmail.com>

	* include/tools/Tools.h, src/tools/Tools.cc: locking for
	Tools::PropertySet (commented out though because it doesn't work

2009-08-14  Howard Butler <hobu.inc@gmail.com>

	* src/tools/Tools.cc: comment out PropertySet locking for now

2009-08-14  Howard Butler <hobu.inc@gmail.com>

	* include/tools/Tools.h, src/mvrtree/MVRTree.cc,
	src/mvrtree/MVRTree.h, src/rtree/RTree.cc, src/rtree/RTree.h,
	src/tools/Tools.cc, src/tprtree/TPRTree.cc, src/tprtree/TPRTree.h: 
	use HAVE_PTHREAD_H for #ifdef, make Tools::PropertySet threadsafe
	for read/write

2009-08-13  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : -	-	spatialindex.suo 13	23	src/rtree/BulkLoader.cc 2	3
	src/rtree/BulkLoader.h 1	1	src/rtree/RTree.cc

2009-08-13  Marios Hadjieleftheriou <mhadji@gmail.com>

	* include/LineSegment.h, include/MVRTree.h, include/MovingPoint.h,
	include/MovingRegion.h, include/Point.h, include/RTree.h,
	include/Region.h, include/SpatialIndex.h, include/TPRTree.h,
	include/TimePoint.h, include/TimeRegion.h,
	include/tools/PointerPool.h, include/tools/Tools.h,
	regressiontest/rtree/RTreeBulkLoad.cc,
	regressiontest/rtree/RTreeQuery.cc, regressiontest/rtree/test1/run,
	regressiontest/rtree/test2/run, src/mvrtree/Index.cc,
	src/mvrtree/Index.h, src/mvrtree/Leaf.cc, src/mvrtree/Leaf.h,
	src/mvrtree/MVRTree.cc, src/mvrtree/MVRTree.h, src/mvrtree/Node.cc,
	src/mvrtree/Node.h, src/mvrtree/PointerPoolNode.h,
	src/mvrtree/Statistics.cc, src/mvrtree/Statistics.h,
	src/rtree/BulkLoader.cc, src/rtree/BulkLoader.h,
	src/rtree/Index.cc, src/rtree/Index.h, src/rtree/Leaf.cc,
	src/rtree/Leaf.h, src/rtree/Node.cc, src/rtree/Node.h,
	src/rtree/PointerPoolNode.h, src/rtree/RTree.cc, src/rtree/RTree.h,
	src/rtree/Statistics.cc, src/rtree/Statistics.h,
	src/spatialindex/LineSegment.cc, src/spatialindex/MovingPoint.cc,
	src/spatialindex/MovingRegion.cc, src/spatialindex/Point.cc,
	src/spatialindex/Region.cc, src/spatialindex/TimePoint.cc,
	src/spatialindex/TimeRegion.cc, src/storagemanager/Buffer.cc,
	src/storagemanager/Buffer.h,
	src/storagemanager/DiskStorageManager.cc,
	src/storagemanager/DiskStorageManager.h,
	src/storagemanager/MemoryStorageManager.cc,
	src/storagemanager/MemoryStorageManager.h,
	src/storagemanager/RandomEvictionsBuffer.cc, src/tools/Tools.cc,
	src/tprtree/Index.cc, src/tprtree/Index.h, src/tprtree/Leaf.cc,
	src/tprtree/Leaf.h, src/tprtree/Node.cc, src/tprtree/Node.h,
	src/tprtree/PointerPoolNode.h, src/tprtree/Statistics.cc,
	src/tprtree/Statistics.h, src/tprtree/TPRTree.cc,
	src/tprtree/TPRTree.h: 1. Replace size_t with uint32_t to fix 64/32 bit compatibility
	issues 2. Fixed memory bug related to data array and bulk loading for
	RTree.

2009-08-10  Howard Butler <hobu.inc@gmail.com>

	* include/SpatialIndex.h, include/tools/Tools.h: remove #define
	interface, use class

2009-08-06  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: osgeo4w packaging

2009-08-05  Howard Butler <hobu.inc@gmail.com>

	* include/tools/Tools.h: don't redefine interface if it is already
	defined (/me scowls at windows

2009-08-05  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/BulkLoader.cc: comment out record deletion entirely

2009-08-05  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/BulkLoader.cc: guard against invalid delete

2009-07-30  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am, configure.ac: bump version to 1.4.0 in prep for
	release, add a windows docs to the dist

2009-07-30  Howard Butler <hobu.inc@gmail.com>

	* src/storagemanager/DiskStorageManager.cc: Add a
	CheckFilesExists(Tools::PropertySet&) method instead of the cheap
	way we were checking for existence before.  This takes into account
	the file extensions and only returns true if both files exist

2009-07-30  Howard Butler <hobu.inc@gmail.com>

	* include/tools/Tools.h: move the warning about 4251 down into
	_MSC_VER

2009-07-30  Howard Butler <hobu.inc@gmail.com>

	* ChangeLog, configure.ac: new changelog

2009-07-30  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: update for new layout.  make sure to build dll
	appropriately

2009-07-29  Howard Butler <hobu.inc@gmail.com>

	* include/tools/Tools.h: turn off warning 4251

2009-07-29  Howard Butler <hobu.inc@gmail.com>

	* include/Makefile.am, include/SpatialIndex.h, include/Version.h: 
	fix #15 and provide a way to determine the library version at
	compile time

2009-07-29  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: add back makefile.vc

2009-07-22  Howard Butler <hobu.inc@gmail.com>

	* src/spatialindex/Region.cc: a note about the debugging lint that
	is incorrect when the bounds are infinity

2009-07-22  Howard Butler <hobu.inc@gmail.com>

	* regressiontest/rtree/Exhaustive.cc: make sure to #include
	<cstring> to satisfy gcc 4.3+

2009-07-22  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 2	2	regressiontest/rtree/RTreeBulkLoad.vcproj 2	2
	regressiontest/rtree/RTreeExhaustive.vcproj 2	2
	regressiontest/rtree/RTreeGenerator.vcproj 2	2
	regressiontest/rtree/RTreeLoad.vcproj 2	2
	regressiontest/rtree/RTreeQuery.vcproj 2	2
	spatialindex-vc/spatialindex.vcproj -	-	spatialindex.suo

2009-07-21  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 2	6	src/tools/Tools.cc

2009-07-20  Howard Butler <hobu.inc@gmail.com>

	* src/tools/Tools.cc: make sure to update existing values in
	setProperties instead of assuming it doesn't exist in the map

2009-07-20  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : -	-	spatialindex.suo 5	2	src/mvrtree/MVRTree.cc 6	3
	src/rtree/RTree.cc 5	2	src/tprtree/TPRTree.cc

2009-07-19  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 8	5	INSTALL.WIN

2009-07-19  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : -	-	spatialindex.suo

2009-07-19  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 25	0	INSTALL.WIN 167	4	regressiontest/rtree/RTreeBulkLoad.vcproj
	166	4	regressiontest/rtree/RTreeExhaustive.vcproj 169	4
	regressiontest/rtree/RTreeGenerator.vcproj 167	4
	regressiontest/rtree/RTreeLoad.vcproj 167	4
	regressiontest/rtree/RTreeQuery.vcproj 1	1
	regressiontest/rtree/test3/run 309	3
	spatialindex-vc/spatialindex.vcproj 76	0	spatialindex.sln -	-
	 spatialindex.suo create mode 100644 INSTALL.WIN  create mode 100755 spatialindex.sln  create mode 100755 spatialindex.suo

2009-07-18  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 0	65	spatialindex-vc/spatialindex.vcproj.RESEARCH.marioh.user  delete mode 100755
	 spatialindex-vc/spatialindex.vcproj.RESEARCH.marioh.user

2009-07-15  Howard Butler <hobu.inc@gmail.com>

	* include/SpatialIndex.h, src/mvrtree/Node.cc, src/mvrtree/Node.h,
	src/rtree/Node.cc, src/rtree/Node.h, src/rtree/RTree.cc,
	src/rtree/RTree.h, src/tprtree/Node.cc, src/tprtree/Node.h: apply
	Willem's patch for #14

2009-07-06  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/RTree.cc: more descriptive and separate exception
	descriptions for FillFactor inconsistencies

2009-07-06  Howard Butler <hobu.inc@gmail.com>

	* include/SpatialIndex.h, ltmain.sh: silence warnings about windows
	compiler complaints on non-windows systems

2009-05-28  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: rename dlls to not have lib* in front of them

2009-05-28  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: A much improved windows makefile based in libLAS'

2009-05-28  Howard Butler <hobu.inc@gmail.com>

	* include/SpatialIndex.h: On MSVC, just about every class complains
	about 4250, inheritance by dominance.  We'll just shut that up for
	now.

2009-05-14  Howard Butler <hobu.inc@gmail.com>

	* src/tools/TemporaryFile.cc: apply Patrick Mézard's patch for the
	inverted use of mktemp on windows #13

2009-05-14  Howard Butler <hobu.inc@gmail.com>

	* src/tools/Tools.cc: Fix #12, add time.h so msvc9 works

2009-05-04  Howard Butler <hobu.inc@gmail.com>

	* regressiontest/mvrtree/Exhaustive.cc,
	regressiontest/mvrtree/MVRTreeLoad.cc,
	regressiontest/mvrtree/MVRTreeQuery.cc,
	regressiontest/rtree/Exhaustive.cc,
	regressiontest/rtree/RTreeLoad.cc,
	regressiontest/rtree/RTreeQuery.cc,
	regressiontest/tprtree/Generator.cc, src/mvrtree/MVRTree.cc,
	src/mvrtree/Node.cc, src/rtree/BulkLoader.cc, src/rtree/Leaf.cc,
	src/rtree/Node.cc, src/rtree/RTree.cc,
	src/spatialindex/LineSegment.cc, src/spatialindex/MovingPoint.cc,
	src/spatialindex/MovingRegion.cc, src/spatialindex/Point.cc,
	src/spatialindex/Region.cc, src/spatialindex/TimePoint.cc,
	src/spatialindex/TimeRegion.cc, src/storagemanager/Buffer.cc,
	src/storagemanager/Buffer.h,
	src/storagemanager/DiskStorageManager.cc,
	src/storagemanager/MemoryStorageManager.cc,
	src/storagemanager/MemoryStorageManager.h, src/tools/Tools.cc,
	src/tprtree/Leaf.cc, src/tprtree/Node.cc, src/tprtree/TPRTree.cc: 
	apply the patch for #11 - cstring and limits includes so gcc 4.3+
	works

2008-05-30  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 1	1	src/tools/Makefile.am 1	1	src/tools/Tools.cc

2008-05-23  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 1	1	configure.ac

2008-05-18  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 416	853	ltmain.sh

2008-04-30  Howard Butler <hobu.inc@gmail.com>

	* aclocal.m4: aclocal.m4 is autogenerated.  removing

2008-04-30  Howard Butler <hobu.inc@gmail.com>

	* : set svn:ignore properties for autogenerated files and automake
	cruft

2008-04-30  Howard Butler <hobu.inc@gmail.com>

	* include/tools/Makefile.am: add rand48.h to dist target

2008-04-29  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 0	11000	regressiontest/rtree/test1/data 0	100
	 regressiontest/rtree/test1/queries delete mode 100644
	 regressiontest/rtree/test1/data delete mode 100644
	regressiontest/rtree/test1/queries

2008-04-29  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 16	0	include/tools/rand48.h  create mode 100644 include/tools/rand48.h

2008-04-29  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 1	11	makefile.vc

2008-04-29  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 58	83	src/Makefile.in 59	70	src/mvrtree/Makefile.in 5	5
	src/mvrtree/Node.cc 59	70	src/rtree/Makefile.in 5	5
	src/spatialindex/LineSegment.cc 59	70	src/spatialindex/Makefile.in 2
	2	src/spatialindex/MovingRegion.cc 59	70
	src/storagemanager/Makefile.in 0	1
	src/storagemanager/RandomEvictionsBuffer.cc 59	70
	src/tools/Makefile.in 59	70	src/tprtree/Makefile.in

2008-04-29  Marios Hadjieleftheriou <mhadji@gmail.com>

	* src/spatialindex/LineSegment.cc: Fixed malloc memory leak

2008-02-26  Howard Butler <hobu.inc@gmail.com>

	* src/tools/rand48.cc: oops.  Add missing file

2008-02-26  Howard Butler <hobu.inc@gmail.com>

	* include/tools/rand48.hpp: oops.  Add missing file

2008-01-25  Howard Butler <hobu.inc@gmail.com>

	* include/MVRTree.h, include/RTree.h, include/SpatialIndex.h,
	include/TPRTree.h, include/tools/Tools.h, makefile.vc,
	src/mvrtree/Index.cc, src/mvrtree/Leaf.cc, src/mvrtree/Node.cc,
	src/rtree/BulkLoader.cc, src/rtree/Index.cc, src/rtree/Leaf.cc,
	src/rtree/Node.cc, src/spatialindex/LineSegment.cc,
	src/spatialindex/MovingRegion.cc, src/storagemanager/Buffer.cc,
	src/storagemanager/DiskStorageManager.cc,
	src/storagemanager/RandomEvictionsBuffer.cc,
	src/tools/ExternalSort.cc, src/tools/ExternalSort.h,
	src/tools/TemporaryFile.cc, src/tools/Tools.cc,
	src/tprtree/Index.cc, src/tprtree/Leaf.cc, src/tprtree/Node.cc: 
	Initial push of windows patches

2008-01-23  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 1	1	INSTALL

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* configure.ac, makefile.vc: bump version to 1.3

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* ChangeLog: Add an auto-generated ChangeLog

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* AUTHORS: add myself and some notes

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* INSTALL: update to ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* README: update to ReST

2008-01-19  Howard Butler <hobu.inc@gmail.com>

	* : set mimetype to reStructured text so Trac will render it for us
	in the browser

2008-01-17  Howard Butler <hobu.inc@gmail.com>

	* Makefile.in, aclocal.m4, autogen.sh, include/Makefile.in,
	include/tools/Makefile.in, ltmain.sh, regressiontest/Makefile.in,
	regressiontest/mvrtree/Makefile.in,
	regressiontest/rtree/Makefile.in,
	regressiontest/tprtree/Makefile.in, src/Makefile.in,
	src/mvrtree/Makefile.in, src/rtree/Makefile.in,
	src/spatialindex/Makefile.in, src/storagemanager/Makefile.in,
	src/tools/Makefile.in, src/tprtree/Makefile.in: add autogen.sh to
	simplify auto stuff

2008-01-17  Howard Butler <hobu.inc@gmail.com>

	* debian/README, debian/README.Debian, debian/changelog,
	debian/compat, debian/control, debian/copyright, debian/dirs,
	debian/docs, debian/libspatialindex1-dev.dirs,
	debian/libspatialindex1-dev.install, debian/libspatialindex1.dirs,
	debian/libspatialindex1.doc-base.EX,
	debian/libspatialindex1.install, debian/rules: move debian packaging
	stuff out of trunk

2008-01-15  Howard Butler <hobu.inc@gmail.com>

	* makefile.vc: add nmake makefile

2007-12-07  Kenneth Christiansen <kenneth.christiansen@openbossa.org>

	* debian/libspatialindex1.dirs, debian/libspatialindex1.install,
	debian/libspatialindex11.dirs, debian/libspatialindex11.install: 
	Wrong names

2007-12-07  Kenneth Christiansen <kenneth.christiansen@openbossa.org>

	* configure, debian/rules: Fixed rules file

2007-12-07  Kenneth Christiansen <kenneth.christiansen@openbossa.org>

	* config.guess, config.sub, debian/control: Updates to the control
	file (packaging) Removal of files that shouldn't be in SVN

2007-11-30  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 1	1	Makefile.in 4	4	configure 2	2	configure.ac

2007-11-29  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 6	14	INSTALL 10	10	configure 1	1	configure.ac

2007-11-29  Marios Hadjieleftheriou <mhadji@gmail.com>

	* : 2	2	Makefile.am 76	108	Makefile.in 928	1222	aclocal.m4 9629	9881
	configure 13	2	configure.ac 3	0	include/Makefile.am 62	84
	include/Makefile.in 5	5	include/MovingPoint.h 9	9
	include/MovingRegion.h 47	18	include/SpatialIndex.h 11	11
	include/TimePoint.h 11	11	include/TimeRegion.h 1	4
	include/tools/Makefile.am 42	55	include/tools/Makefile.in 1	1
	include/tools/PointerPool.h 1	1	include/tools/PoolPointer.h 1	1
	include/tools/SmartPointer.h 1	1	include/tools/TemporaryFile.h 10
	375	include/tools/Tools.h 58	83	regressiontest/Makefile.in 57	67
	regressiontest/mvrtree/Makefile.in 58	68
	regressiontest/rtree/Makefile.in 1	26
	regressiontest/tprtree/Generator.cc 57	67
	regressiontest/tprtree/Makefile.in 6	33
	regressiontest/tprtree/RandomGenerator.cc 1	5
	regressiontest/tprtree/RandomGenerator.h 58	83	src/Makefile.in 1	5
	src/mvrtree/Index.cc 1	5	src/mvrtree/Leaf.cc 11	18
	src/mvrtree/MVRTree.cc 54	64	src/mvrtree/Makefile.in 11	15
	src/mvrtree/Node.cc 14	17	src/mvrtree/Statistics.cc 0	2
	src/rtree/BulkLoader.cc 1	5	src/rtree/Index.cc 2	7	src/rtree/Leaf.cc
	54	64	src/rtree/Makefile.in 6	8	src/rtree/Node.cc 6	12
	src/rtree/RTree.cc 11	13	src/rtree/Statistics.cc 1	1
	src/spatialindex/Makefile.am 61	67	src/spatialindex/Makefile.in 4	4
	src/spatialindex/MovingPoint.cc 5	5	src/spatialindex/MovingRegion.cc
	3	9	src/spatialindex/SpatialIndexImpl.h 1	1
	src/spatialindex/TimePoint.cc 1	2	src/spatialindex/TimeRegion.cc 0	1
	src/storagemanager/Buffer.cc 7	10
	src/storagemanager/DiskStorageManager.cc 54	64
	src/storagemanager/Makefile.in 1	4
	src/storagemanager/MemoryStorageManager.cc 1	3
	src/storagemanager/RandomEvictionsBuffer.cc 3	1
	src/tools/Makefile.am 148	196	src/tools/Makefile.in 0	381
	src/tools/geometry/LineSegment.cc 0	4	src/tools/geometry/Makefile.am
	0	432	src/tools/geometry/Makefile.in 0	256
	src/tools/geometry/Point.cc 0	545	src/tools/geometry/Region.cc 0	299
	src/tools/tools/ExternalSort.cc 0	93	src/tools/tools/ExternalSort.h
	0	4	src/tools/tools/Makefile.am 0	443	src/tools/tools/Makefile.in 0
	410	src/tools/tools/SHA1.cc 0	75	src/tools/tools/SHA1.h 0	239
	src/tools/tools/TemporaryFile.cc 0	1905	src/tools/tools/Tools.cc 1	5
	src/tprtree/Index.cc 2	6	src/tprtree/Leaf.cc 54	64
	src/tprtree/Makefile.in 5	8	src/tprtree/Node.cc 11	14
	src/tprtree/Statistics.cc 9	15	src/tprtree/TPRTree.cc  delete mode 100755 src/tools/geometry/LineSegment.cc  delete mode 100755 src/tools/geometry/Makefile.am  delete mode 100644 src/tools/geometry/Makefile.in  delete mode 100755 src/tools/geometry/Point.cc  delete mode 100755 src/tools/geometry/Region.cc  delete mode 100755 src/tools/tools/ExternalSort.cc  delete mode 100755 src/tools/tools/ExternalSort.h  delete mode 100755 src/tools/tools/Makefile.am  delete mode 100644 src/tools/tools/Makefile.in  delete mode 100755 src/tools/tools/SHA1.cc  delete mode 100755 src/tools/tools/SHA1.h  delete mode 100755 src/tools/tools/TemporaryFile.cc  delete mode 100755 src/tools/tools/Tools.cc

2007-11-29  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am, Makefile.in: use -version-info instead of -release

2007-11-29  Howard Butler <hobu.inc@gmail.com>

	* include/Makefile.in, include/tools/Makefile.in: include
	Makefile.in's

2007-11-29  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am, Makefile.in:  use .'s to separate version info and don't do -no-undefined

2007-11-29  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am: tweak formatting

2007-11-29  Sean Gillies <sean.gillies@gmail.com>

	* Makefile.am: Add version-info to Makefile.am

2007-11-28  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am, Makefile.in, include/Makefile.am,
	include/tools/Makefile.am: finish incorporating -ltools

2007-11-28  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am, Makefile.in, configure, configure.ac,
	include/Makefile.am, include/tools/Makefile.am: more progress on
	automake for includes directories... close, but not quite

2007-11-28  Howard Butler <hobu.inc@gmail.com>

	* include/Makefile.am, include/tools/Makefile.am: Add automake files
	for includes

2007-11-28  Howard Butler <hobu.inc@gmail.com>

	* Makefile.am, Makefile.in, aclocal.m4, configure, configure.ac,
	include/tools/LineSegment.h, include/tools/Point.h,
	include/tools/PointerPool.h, include/tools/PoolPointer.h,
	include/tools/Region.h, include/tools/SmartPointer.h,
	include/tools/TemporaryFile.h, include/tools/Tools.h,
	regressiontest/Makefile.in, regressiontest/mvrtree/Makefile.in,
	regressiontest/rtree/Makefile.in,
	regressiontest/tprtree/Makefile.in, src/Makefile.am,
	src/Makefile.in, src/mvrtree/Makefile.in, src/rtree/Makefile.in,
	src/spatialindex/Makefile.in, src/storagemanager/Makefile.in,
	src/tools/Makefile.am, src/tools/Makefile.in,
	src/tools/geometry/LineSegment.cc, src/tools/geometry/Makefile.am,
	src/tools/geometry/Makefile.in, src/tools/geometry/Point.cc,
	src/tools/geometry/Region.cc, src/tools/tools/ExternalSort.cc,
	src/tools/tools/ExternalSort.h, src/tools/tools/Makefile.am,
	src/tools/tools/Makefile.in, src/tools/tools/SHA1.cc,
	src/tools/tools/SHA1.h, src/tools/tools/TemporaryFile.cc,
	src/tools/tools/Tools.cc, src/tprtree/Makefile.in: start
	incorporating -ltools into the tree

2007-08-30  Marios Hadjieleftheriou <mhadji@gmail.com>

	* INSTALL, a: README should be INSTALL, and INSTALL should be README

2007-08-30  Marios Hadjieleftheriou <mhadji@gmail.com>

	* INSTALL, README: README should be INSTALL, and INSTALL should be
	README

2007-08-30  Marios Hadjieleftheriou <mhadji@gmail.com>

	* README, a: README file should be INSTALL, and INSTALL should be
	README

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/storagemanager/DiskStorageManager.cc: revert r9

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/Leaf.cc: revert r10

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/Node.cc: revert r11

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/RTree.cc: revert r12

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/mvrtree/MVRTree.cc: revert r13

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/spatialindex/SpatialIndexImpl.h: add strings.h

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/mvrtree/MVRTree.cc: add strings.h

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/RTree.cc: add strings.h

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/Node.cc: add strings.h

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/rtree/Leaf.cc: include <strings.h>

2007-08-02  Howard Butler <hobu.inc@gmail.com>

	* src/storagemanager/DiskStorageManager.cc: include <strings.h> in
	DiskStorageManager (this is not available on Solaris by default)

2007-08-01  Howard Butler <hobu.inc@gmail.com>

	* regressiontest/rtree/test1/data,
	regressiontest/rtree/test1/queries: add data and queries for tests

2007-08-01  Howard Butler <hobu.inc@gmail.com>

	* INSTALL, Makefile.in, README, aclocal.m4,
	regressiontest/Makefile.in, regressiontest/mvrtree/Makefile.in,
	regressiontest/rtree/Makefile.in,
	regressiontest/rtree/RTreeLoad.cc,
	regressiontest/rtree/RTreeQuery.cc,
	regressiontest/tprtree/Makefile.in, src/Makefile.in,
	src/mvrtree/Makefile.in, src/rtree/Makefile.in,
	src/spatialindex/Makefile.in, src/storagemanager/Makefile.in,
	src/tprtree/Makefile.in: add Marios' latest updates

2007-08-01  Howard Butler <hobu.inc@gmail.com>

	* : oops, don't include zip files

2007-08-01  Howard Butler <hobu.inc@gmail.com>

	* AUTHORS, COPYING, ChangeLog, INSTALL, Makefile.am, Makefile.in,
	NEWS, README, aclocal.m4, config.guess, config.sub, configure,
	configure.ac, depcomp, include/MVRTree.h, include/MovingPoint.h,
	include/MovingRegion.h, include/RTree.h, include/SpatialIndex.h,
	include/TPRTree.h, include/TimePoint.h, include/TimeRegion.h,
	install-sh, ltmain.sh, missing, mkinstalldirs,
	regressiontest/Makefile.am, regressiontest/Makefile.in,
	regressiontest/mvrtree/Exhaustive.cc,
	regressiontest/mvrtree/Generator.cc,
	regressiontest/mvrtree/MVRTreeLoad.cc,
	regressiontest/mvrtree/MVRTreeQuery.cc,
	regressiontest/mvrtree/Makefile.am,
	regressiontest/mvrtree/Makefile.in,
	regressiontest/mvrtree/test1/run, regressiontest/mvrtree/test2/run,
	regressiontest/rtree/Exhaustive.cc,
	regressiontest/rtree/Generator.cc,
	regressiontest/rtree/Makefile.am, regressiontest/rtree/Makefile.in,
	regressiontest/rtree/RTreeBulkLoad.cc,
	regressiontest/rtree/RTreeLoad.cc,
	regressiontest/rtree/RTreeQuery.cc, regressiontest/rtree/test1/run,
	regressiontest/rtree/test2/run, regressiontest/rtree/test3/run,
	regressiontest/rtree/test4/run,
	regressiontest/tprtree/Exhaustive.cc,
	regressiontest/tprtree/Generator.cc,
	regressiontest/tprtree/Makefile.am,
	regressiontest/tprtree/Makefile.in,
	regressiontest/tprtree/RandomGenerator.cc,
	regressiontest/tprtree/RandomGenerator.h,
	regressiontest/tprtree/TPRTreeLoad.cc,
	regressiontest/tprtree/TPRTreeQuery.cc,
	regressiontest/tprtree/test1/run, regressiontest/tprtree/test2/run,
	src/Makefile.am, src/Makefile.in, src/mvrtree/Index.cc,
	src/mvrtree/Index.h, src/mvrtree/Leaf.cc, src/mvrtree/Leaf.h,
	src/mvrtree/MVRTree.cc, src/mvrtree/MVRTree.h,
	src/mvrtree/Makefile.am, src/mvrtree/Makefile.in,
	src/mvrtree/Node.cc, src/mvrtree/Node.h,
	src/mvrtree/PointerPoolNode.h, src/mvrtree/Statistics.cc,
	src/mvrtree/Statistics.h, src/rtree/BulkLoader.cc,
	src/rtree/BulkLoader.h, src/rtree/Index.cc, src/rtree/Index.h,
	src/rtree/Leaf.cc, src/rtree/Leaf.h, src/rtree/Makefile.am,
	src/rtree/Makefile.in, src/rtree/Node.cc, src/rtree/Node.h,
	src/rtree/PointerPoolNode.h, src/rtree/RTree.cc, src/rtree/RTree.h,
	src/rtree/Statistics.cc, src/rtree/Statistics.h,
	src/spatialindex/Makefile.am, src/spatialindex/Makefile.in,
	src/spatialindex/MovingPoint.cc, src/spatialindex/MovingRegion.cc,
	src/spatialindex/SpatialIndexImpl.cc,
	src/spatialindex/SpatialIndexImpl.h, src/spatialindex/TimePoint.cc,
	src/spatialindex/TimeRegion.cc, src/storagemanager/Buffer.cc,
	src/storagemanager/Buffer.h,
	src/storagemanager/DiskStorageManager.cc,
	src/storagemanager/DiskStorageManager.h,
	src/storagemanager/Makefile.am, src/storagemanager/Makefile.in,
	src/storagemanager/MemoryStorageManager.cc,
	src/storagemanager/MemoryStorageManager.h,
	src/storagemanager/RandomEvictionsBuffer.cc,
	src/storagemanager/RandomEvictionsBuffer.h, src/tprtree/Index.cc,
	src/tprtree/Index.h, src/tprtree/Leaf.cc, src/tprtree/Leaf.h,
	src/tprtree/Makefile.am, src/tprtree/Makefile.in,
	src/tprtree/Node.cc, src/tprtree/Node.h,
	src/tprtree/PointerPoolNode.h, src/tprtree/Statistics.cc,
	src/tprtree/Statistics.h, src/tprtree/TPRTree.cc,
	src/tprtree/TPRTree.h: add 1.1.1 version of library

2007-08-01  Howard Butler <hobu.inc@gmail.com>

	* basic layout

